#ifndef _BREAKOUTPAUSESCENE_H_
#define _BREAKOUTPAUSESCENE_H_

#include "IScene.h"

#include "Visualisation.h"

class BreakoutPauseScene : public IScene
{
	public:
	BreakoutPauseScene();
	~BreakoutPauseScene();

	virtual void Initialise();
	virtual void Draw();
	virtual void Update();
	virtual void Shutdown();

	virtual void Activate();
	virtual void Deactivate();

	virtual bool HandleEvent(IEvent* pEvent);

	protected:
	bool m_bIsActive;
	std::vector<SpriteID> m_vTextLines;
};

#endif
